Getgiftcardconsentbyidentifier
curl --request GET \
--url https://api.loyalty.dog/v2/giftcards/gdpr/consent/lookup \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/gdpr/consent/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/gdpr/consent/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"customerId": "<string>",
"purposes": [
"<string>"
],
"consentedAt": "2023-11-07T05:31:56Z",
"ipAddress": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Cards
Getgiftcardconsentbyidentifier
Look up GDPR consent by email, phone, or customer ID.
Use this endpoint when searching by email or phone (no customerId needed). For path-based lookup by customerId, use /gdpr/consent/.
GET
/
v2
/
giftcards
/
gdpr
/
consent
/
lookup
Getgiftcardconsentbyidentifier
curl --request GET \
--url https://api.loyalty.dog/v2/giftcards/gdpr/consent/lookup \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.loyalty.dog/v2/giftcards/gdpr/consent/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/gdpr/consent/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"customerId": "<string>",
"purposes": [
"<string>"
],
"consentedAt": "2023-11-07T05:31:56Z",
"ipAddress": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
